Modify

Ticket #2620 (closed Bugs: fixed)

Opened 5 years ago

Last modified 5 years ago

Missing entries in documentation index

Reported by: rbock@… Owned by: chris_kohlhoff
Milestone: Boost 1.38.0 Component: asio
Version: Boost 1.37.0 Severity: Problem
Keywords: asio index shut_down Cc:

Description

Hi,

IMHO it would be helpful to add enumeration entries like

error::eof error::shut_down

to the index.

BTW: With the exception of error::shut_down, I have seen shutdown written in one word only. May be the error code should be renamed to match the general form?

Thanks and regards,

Roland

Attachments

Change History

comment:1 Changed 5 years ago by chris_kohlhoff

(In [54498]) Add enum values to doc index. Refs #2620.

comment:2 Changed 5 years ago by chris_kohlhoff

  • Status changed from new to closed
  • Resolution set to fixed

(In [54499]) Merge from trunk. Fixes #3095, #3216, #3098, #3107, #1341, #2754, #3157, #2620, #2618.

........

r54373 | chris_kohlhoff | 2009-06-26 21:03:14 +1000 (Fri, 26 Jun 2009) | 2 lines

Fix doc generation for array reference parameters.

........

r54376 | chris_kohlhoff | 2009-06-26 23:35:04 +1000 (Fri, 26 Jun 2009) | 2 lines

Fix bug in hash resize. Ref #3095.

........

r54377 | chris_kohlhoff | 2009-06-26 23:55:24 +1000 (Fri, 26 Jun 2009) | 3 lines

Remove a local variable that was hiding the ec parameter and preventing error codes from being correctly propagated. Ref #3216.

........

r54390 | chris_kohlhoff | 2009-06-27 12:17:49 +1000 (Sat, 27 Jun 2009) | 2 lines

Fix failures reported when the tests are built with _GLIBCXX_DEBUG. Ref #3098.

........

r54392 | chris_kohlhoff | 2009-06-27 15:24:16 +1000 (Sat, 27 Jun 2009) | 2 lines

Fix custom memory allocation for timers. Ref #3107.

........

r54393 | chris_kohlhoff | 2009-06-27 17:07:40 +1000 (Sat, 27 Jun 2009) | 2 lines

Fix various g++ warnings. Ref #1341.

........

r54400 | chris_kohlhoff | 2009-06-27 17:52:11 +1000 (Sat, 27 Jun 2009) | 4 lines

Use boost::throw_exception() rather than throw keyword to allow asio to be used when exception support is disabled. Note that the SSL wrappers still require exception support. Refs #2754.

........

r54407 | chris_kohlhoff | 2009-06-27 19:13:24 +1000 (Sat, 27 Jun 2009) | 2 lines

Make links to function overloads more obvious.

........

r54466 | chris_kohlhoff | 2009-06-28 23:07:43 +1000 (Sun, 28 Jun 2009) | 2 lines

Add header file information to reference docs. Refs #3157.

........

r54467 | chris_kohlhoff | 2009-06-28 23:20:17 +1000 (Sun, 28 Jun 2009) | 4 lines

Treat 0-byte reads and writes as no-ops to comply with the documented type requirements for SyncReadStream?, AsyncReadStream?, SyncWriteStream? and AsyncWriteStream?.

........

r54498 | chris_kohlhoff | 2009-06-29 19:32:41 +1000 (Mon, 29 Jun 2009) | 2 lines

Add enum values to doc index. Refs #2620.

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.